/*
	$Header: /home/itig/cvsroot/ext2ifs/src/cleanup.c,v 1.3 2001/01/06 11:51:51 jn Exp $
*/

#include "ext2fs.h"

NTSTATUS
XtFSCleanup (
    IN PFSD_IRP_CONTEXT IrpContext
	)
{
    IN PIRP             Irp = IrpContext->Irp;
    PIO_STACK_LOCATION  IoStack;
	PFILE_OBJECT		FileObject;
	NTSTATUS			status;


	DbgPrint(("[EXT2]: Cleanup\n"));
	status = STATUS_SUCCESS;

    IoStack = IoGetCurrentIrpStackLocation(Irp);

	ASSERT(IoStack);
	FileObject = IoStack->FileObject;
	FileObject->Flags &= FO_CLEANUP_COMPLETE;

	Irp->IoStatus.Status = status;
	Irp->IoStatus.Information = 0;
	XtFSCompleteRequest(IrpContext, IO_NO_INCREMENT);

	return status;
}
